<div id="top"></div>
<form class="form" [formGroup]="updateVendor">
<div class="container">
  <h2>Detail Vendor</h2>

  <div class="container-content">
    
    <table>
      <tr>
        <td>NIP</td>
        <td>:</td>
        <td>{{stall?.vendor.vendor_staff_nip}}</td>
      </tr>
      <tr>
        <td>Stall ID</td>
        <td>:</td>
        <td>{{stall?.stall_id}}</td>
      </tr>
      <tr>
        <td>Nama Stall</td>
        <td>:</td>
        <td>{{stall?.food.name}}</td>
      </tr>
      <tr>
        <td>Mulai Buka Sejak</td>
        <td>:</td>
        <td>{{stall?.vendor.start_date}}</td>
      </tr>
      <tr>
        <td>Alamat Vendor</td>
        <td>:</td>
        <td>
          <mat-form-field >
            <input matInput [disabled]="flag" [ngModel]="stall?.vendor.address" formControlName="address" class="form-control">
          </mat-form-field>
        </td>
      </tr>
      <tr>
        <td>Email Vendor</td>
        <td>:</td>
        <td>
          <mat-form-field >
            <input matInput [disabled]="flag" [ngModel]="stall?.vendor.email" formControlName="email" class="form-control">
          </mat-form-field>
        </td>
      </tr>
      <tr>
        <td>Telepon Vendor</td>
        <td>:</td>
        <td>
          <mat-form-field >
            <input matInput [disabled]="flag" [ngModel]="stall?.vendor.phone" formControlName="phone" class="form-control">
          </mat-form-field>
        </td>
      </tr>  
    </table>
  </div>

  <div class="btn-area">
    <button mat-raised-button class="back-btn" (click)="rightFunction()" id="btnRight">
        <mat-icon>{{rightIcon}}</mat-icon>
    </button>
    <button mat-raised-button class="back-btn" (click)="leftFunction(updateVendor.value)" id="btnLeft">
        <mat-icon>{{leftIcon}}</mat-icon>
    </button>
  </div>
</div>
</form>